include <bits/stdc++.h>

int main()
{
    using namespace std;

    int n,k,i;
    scanf("%i %i",&n,&k);

    int a[n];

    for(i=0;i<n;i++)
    {
        scanf("%i",&a[i]);
    }
    for(i=0;i<n;i++)
    {
        if(a[i]==k)
        {
            printf("%i",a[i+1]);
            break;
        }
    }
}